Page MenuHomeFreeBSD

lang/go: switch to the new bootstrap, add aarch64 support
ClosedPublic

Authored by dmgk on Jan 13 2020, 2:10 PM.

Details

Summary
  • Switch to the new bootstrap that supports freebsd/arm64
  • Sync with lang/go-devel port (add new makesum target, switch to dynamic pkg-plist generation)
Test Plan

Tested locally on 12.1-STABLE amd64, i386 and aarch64
exp-run?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Jan 13 2020, 2:10 PM
dmgk updated this revision to Diff 66681.Jan 13 2020, 2:13 PM

Remove commented out SHEBANG_LANG

mikael accepted this revision.Jan 14 2020, 2:21 PM
This revision is now accepted and ready to land.Jan 14 2020, 2:21 PM
tobik accepted this revision.Jan 20 2020, 2:09 PM
  • exp-run is probably not needed for this update, but should maybe happen when 1.14 is released
  • This looks like lang/go-devel now. Maybe it could be made a slave of lang/go later.
  • Ever considered creating a golang@FreeBSD.org maintainer group?
lang/go/Makefile
90–97 ↗(On Diff #66681)

do-install, post-install could be merged and the two .for loops too.

111–121 ↗(On Diff #66681)

Similar to rP523409 in lang/rust, ${GREP} ${GOARCH_${arch}:U${arch}} ${DISTINFO_FILE}.${arch} >> ${DISTINFO_FILE}.tmp can be simplified to ${SED} 1d ${DISTINFO_FILE}.${arch} >> ${DISTINFO_FILE}.tmp. The awk command below takes care of removing duplicate lines afterwards.

dmgk marked 2 inline comments as done.Feb 14 2020, 6:14 PM
dmgk added inline comments.
lang/go/Makefile
111–121 ↗(On Diff #66681)

I've fixed this in lang/go-devel, will update this review when go1.14 is out.

dmgk updated this revision to Diff 68838.Feb 26 2020, 12:30 PM
dmgk marked an inline comment as done.

Update for go1.14

This revision now requires review to proceed.Feb 26 2020, 12:30 PM
dmgk retitled this revision from lang/go: Update to 1.13.6 and switch to the new bootstrap to lang/go: switch to the new bootstrap, add aarch64 support.Feb 26 2020, 12:31 PM
dmgk edited the summary of this revision. (Show Details)
mikael accepted this revision.Feb 26 2020, 1:01 PM
This revision is now accepted and ready to land.Feb 26 2020, 1:01 PM
dmgk updated this revision to Diff 68938.Feb 28 2020, 12:43 PM

Bump PORTREVISION

This revision now requires review to proceed.Feb 28 2020, 12:43 PM
mikael added inline comments.Feb 28 2020, 1:30 PM
lang/go/Makefile
56 ↗(On Diff #68938)

Do you plan to regenerate the bootstrap based on a release version?

69 ↗(On Diff #68938)

This should be 1200086
https://github.com/freebsd/freebsd/blob/releng/12.0/sys/sys/param.h#L63

You can even put 12.1 since 12.0 is EOL on February 29, 2020

dmgk added inline comments.Feb 28 2020, 1:34 PM
lang/go/Makefile
56 ↗(On Diff #68938)

Yes, but I'd like to get this committed first. After that, I'll update both Go ports, and there's also https://reviews.freebsd.org/D23063 that was waiting for go1.14

This revision was not accepted when it landed; it landed in state Needs Review.Mar 2 2020, 12:34 PM
This revision was automatically updated to reflect the committed changes.